Package org.apache.solr.common.params

# Enum Class TermsParams.TermsRegexpFlag

java.lang.Object
java.lang.Enum<TermsParams.TermsRegexpFlag>
org.apache.solr.common.params.TermsParams.TermsRegexpFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<TermsParams.TermsRegexpFlag>`, `java.lang.constant.Constable`

Enclosing interface:
  `TermsParams`

public static enum TermsParams.TermsRegexpFlag extends Enum<TermsParams.TermsRegexpFlag>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CANON_EQ`
`CASE_INSENSITIVE`
`COMMENTS`
`DOTALL`
`LITERAL`
`MULTILINE`
`UNICODE_CASE`
`UNIX_LINES`

## Method Summary

Modifier and Type
Method
Description
`int`
`getValue()`
`static TermsParams.TermsRegexpFlag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TermsParams.TermsRegexpFlag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNIX_LINES

public static final TermsParams.TermsRegexpFlag UNIX_LINES

### CASE_INSENSITIVE

public static final TermsParams.TermsRegexpFlag CASE_INSENSITIVE

### COMMENTS

public static final TermsParams.TermsRegexpFlag COMMENTS

### MULTILINE

public static final TermsParams.TermsRegexpFlag MULTILINE

### LITERAL

public static final TermsParams.TermsRegexpFlag LITERAL

### DOTALL

public static final TermsParams.TermsRegexpFlag DOTALL

### UNICODE_CASE

public static final TermsParams.TermsRegexpFlag UNICODE_CASE

### CANON_EQ

public static final TermsParams.TermsRegexpFlag CANON_EQ

## Method Details

### values

public static TermsParams.TermsRegexpFlag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TermsParams.TermsRegexpFlag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()